import { WebExtHostOrganization } from './ext-host-organization';
import { WebExtHostConfigurationPolicyShape, ClientThreadConfigurationPolicyShape } from '@adminide-stack/extension-api/lib/protocol/client.protocol';
import { IOrganizationConfigurationChangeEventData, IConfigurationInitData } from '@adminide-stack/extension-api/lib/protocol/common.protocol';
import { ExtHostConfigProvider } from './ext-host-client-configuration';
export declare class WebExtHostConfigurationPolicy implements WebExtHostConfigurationPolicyShape {
    private readonly _proxy;
    private readonly _extHostOrganization;
    private readonly _barrier;
    private _actual;
    constructor(proxy: ClientThreadConfigurationPolicyShape, extHostOrganization: WebExtHostOrganization);
    getConfigProvider(): Promise<ExtHostConfigProvider>;
    $initializeConfiguration(data: IConfigurationInitData): void;
    $acceptConfigurationChanged(data: IConfigurationInitData, eventData: IOrganizationConfigurationChangeEventData): void;
}
